/*  This file is part of the KDE project
    Copyright (C) 2007 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) version 3.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#include "videowidget.h"

namespace Phonon
{
namespace Proxy
{

VideoWidget::VideoWidget(QWidget *parent)
    : QWidget(parent)
{
}

VideoWidget::~VideoWidget()
{
}

Phonon::VideoWidget::AspectRatio VideoWidget::aspectRatio() const
{
}

void VideoWidget::setAspectRatio(Phonon::VideoWidget::AspectRatio aspectRatio)
{
}

Phonon::VideoWidget::ScaleMode VideoWidget::scaleMode() const
{
}

void VideoWidget::setScaleMode(Phonon::VideoWidget::ScaleMode mode)
{
}

qreal VideoWidget::brightness() const
{
}

void VideoWidget::setBrightness(qreal newBrightness)
{
}

qreal VideoWidget::contrast() const
{
}

void VideoWidget::setContrast(qreal newContrast)
{
}

qreal VideoWidget::hue() const
{
}

void VideoWidget::setHue(qreal newHue)
{
}

qreal VideoWidget::saturation() const
{
}

void VideoWidget::setSaturation(qreal newSaturation)
{
}

}} //namespace Phonon::Proxy
